pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E069 : Short_Integer; pragma Import (Ada, E069, "system__os_lib_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "ada__exceptions_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E042 : Short_Integer; pragma Import (Ada, E042, "ada__containers_E");
   E064 : Short_Integer; pragma Import (Ada, E064, "ada__io_exceptions_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E097 : Short_Integer; pragma Import (Ada, E097, "ada__strings__maps_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "ada__strings__maps__constants_E");
   E047 : Short_Integer; pragma Import (Ada, E047, "interfaces__c_E");
   E027 : Short_Integer; pragma Import (Ada, E027, "system__exceptions_E");
   E075 : Short_Integer; pragma Import (Ada, E075, "system__object_reader_E");
   E054 : Short_Integer; pragma Import (Ada, E054, "system__dwarf_lines_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "system__soft_links__initialize_E");
   E041 : Short_Integer; pragma Import (Ada, E041, "system__traceback__symbolic_E");
   E104 : Short_Integer; pragma Import (Ada, E104, "ada__tags_E");
   E102 : Short_Integer; pragma Import (Ada, E102, "ada__streams_E");
   E138 : Short_Integer; pragma Import (Ada, E138, "gnat_E");
   E233 : Short_Integer; pragma Import (Ada, E233, "interfaces__c__strings_E");
   E193 : Short_Integer; pragma Import (Ada, E193, "system__file_control_block_E");
   E127 : Short_Integer; pragma Import (Ada, E127, "system__finalization_root_E");
   E125 : Short_Integer; pragma Import (Ada, E125, "ada__finalization_E");
   E192 : Short_Integer; pragma Import (Ada, E192, "system__file_io_E");
   E129 : Short_Integer; pragma Import (Ada, E129, "system__storage_pools_E");
   E122 : Short_Integer; pragma Import (Ada, E122, "system__finalization_masters_E");
   E120 : Short_Integer; pragma Import (Ada, E120, "system__storage_pools__subpools_E");
   E114 : Short_Integer; pragma Import (Ada, E114, "ada__strings__unbounded_E");
   E249 : Short_Integer; pragma Import (Ada, E249, "system__task_info_E");
   E243 : Short_Integer; pragma Import (Ada, E243, "system__task_primitives__operations_E");
   E207 : Short_Integer; pragma Import (Ada, E207, "system__regpat_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "ada__calendar_E");
   E149 : Short_Integer; pragma Import (Ada, E149, "ada__calendar__time_zones_E");
   E188 : Short_Integer; pragma Import (Ada, E188, "ada__text_io_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "gnat__calendar_E");
   E186 : Short_Integer; pragma Import (Ada, E186, "gnat__calendar__time_io_E");
   E330 : Short_Integer; pragma Import (Ada, E330, "gnat__directory_operations_E");
   E314 : Short_Integer; pragma Import (Ada, E314, "system__assertions_E");
   E304 : Short_Integer; pragma Import (Ada, E304, "system__checked_pools_E");
   E299 : Short_Integer; pragma Import (Ada, E299, "gnat__debug_pools_E");
   E176 : Short_Integer; pragma Import (Ada, E176, "system__pool_global_E");
   E202 : Short_Integer; pragma Import (Ada, E202, "gnat__expect_E");
   E174 : Short_Integer; pragma Import (Ada, E174, "system__pool_size_E");
   E341 : Short_Integer; pragma Import (Ada, E341, "system__regexp_E");
   E334 : Short_Integer; pragma Import (Ada, E334, "ada__directories_E");
   E265 : Short_Integer; pragma Import (Ada, E265, "system__tasking__initialization_E");
   E275 : Short_Integer; pragma Import (Ada, E275, "system__tasking__protected_objects_E");
   E277 : Short_Integer; pragma Import (Ada, E277, "system__tasking__protected_objects__entries_E");
   E273 : Short_Integer; pragma Import (Ada, E273, "system__tasking__queuing_E");
   E165 : Short_Integer; pragma Import (Ada, E165, "gnatcoll__atomic_E");
   E297 : Short_Integer; pragma Import (Ada, E297, "gnatcoll__memory_E");
   E231 : Short_Integer; pragma Import (Ada, E231, "gnatcoll__plugins_E");
   E169 : Short_Integer; pragma Import (Ada, E169, "gnatcoll__storage_pools__headers_E");
   E167 : Short_Integer; pragma Import (Ada, E167, "gnatcoll__refcount_E");
   E289 : Short_Integer; pragma Import (Ada, E289, "gnatcoll__strings_impl_E");
   E287 : Short_Integer; pragma Import (Ada, E287, "gnatcoll__strings_E");
   E286 : Short_Integer; pragma Import (Ada, E286, "gnatcoll__strings_E");
   E306 : Short_Integer; pragma Import (Ada, E306, "gnatcoll__mmap_E");
   E308 : Short_Integer; pragma Import (Ada, E308, "gnatcoll__mmap__system_E");
   E310 : Short_Integer; pragma Import (Ada, E310, "gnatcoll__templates_E");
   E312 : Short_Integer; pragma Import (Ada, E312, "gnatcoll__terminal_E");
   E182 : Short_Integer; pragma Import (Ada, E182, "gnatcoll__utils_E");
   E178 : Short_Integer; pragma Import (Ada, E178, "gnatcoll__sql_impl_E");
   E162 : Short_Integer; pragma Import (Ada, E162, "gnatcoll__sql_E");
   E325 : Short_Integer; pragma Import (Ada, E325, "gnatcoll__io_E");
   E343 : Short_Integer; pragma Import (Ada, E343, "gnatcoll__path_E");
   E332 : Short_Integer; pragma Import (Ada, E332, "gnatcoll__io__native_E");
   E346 : Short_Integer; pragma Import (Ada, E346, "gnatcoll__remote_E");
   E350 : Short_Integer; pragma Import (Ada, E350, "gnatcoll__remote__db_E");
   E328 : Short_Integer; pragma Import (Ada, E328, "gnatcoll__io__remote_E");
   E345 : Short_Integer; pragma Import (Ada, E345, "gnatcoll__io__remote__unix_E");
   E348 : Short_Integer; pragma Import (Ada, E348, "gnatcoll__io__remote__windows_E");
   E319 : Short_Integer; pragma Import (Ada, E319, "gnatcoll__vfs_E");
   E291 : Short_Integer; pragma Import (Ada, E291, "gnatcoll__traces_E");
   E227 : Short_Integer; pragma Import (Ada, E227, "gnatcoll__sql__exec_E");
   E235 : Short_Integer; pragma Import (Ada, E235, "gnatcoll__sql__exec__tasking_E");
   E281 : Short_Integer; pragma Import (Ada, E281, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E235 := E235 - 1;
         if E235 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__finalize_body");
      begin
         E227 := E227 - 1;
         if E227 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E227 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E291 := E291 - 1;
         if E291 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E291 = 0 then
            F8;
         end if;
      end;
      E319 := E319 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E319 = 0 then
            F9;
         end if;
      end;
      E328 := E328 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E328 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E346 := E346 - 1;
         if E346 = 0 then
            F11;
         end if;
      end;
      E332 := E332 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E332 = 0 then
            F12;
         end if;
      end;
      E325 := E325 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E325 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E162 := E162 - 1;
         if E162 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E162 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E178 := E178 - 1;
         if E178 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E178 = 0 then
            F17;
         end if;
      end;
      E312 := E312 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E312 = 0 then
            F18;
         end if;
      end;
      E167 := E167 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__refcount__finalize_spec");
      begin
         if E167 = 0 then
            F19;
         end if;
      end;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__memory__finalize_body");
      begin
         E297 := E297 - 1;
         if E297 = 0 then
            F20;
         end if;
      end;
      E277 := E277 - 1;
      declare
         procedure F21;
         pragma Import (Ada, F21, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E277 = 0 then
            F21;
         end if;
      end;
      E334 := E334 - 1;
      declare
         procedure F22;
         pragma Import (Ada, F22, "ada__directories__finalize_spec");
      begin
         if E334 = 0 then
            F22;
         end if;
      end;
      E341 := E341 - 1;
      declare
         procedure F23;
         pragma Import (Ada, F23, "system__regexp__finalize_spec");
      begin
         if E341 = 0 then
            F23;
         end if;
      end;
      E174 := E174 - 1;
      declare
         procedure F24;
         pragma Import (Ada, F24, "system__pool_size__finalize_spec");
      begin
         if E174 = 0 then
            F24;
         end if;
      end;
      E202 := E202 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "gnat__expect__finalize_spec");
      begin
         if E202 = 0 then
            F25;
         end if;
      end;
      E176 := E176 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "system__pool_global__finalize_spec");
      begin
         if E176 = 0 then
            F26;
         end if;
      end;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gnat__debug_pools__finalize_body");
      begin
         E299 := E299 - 1;
         if E299 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnat__debug_pools__finalize_spec");
      begin
         if E299 = 0 then
            F28;
         end if;
      end;
      E188 := E188 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "ada__text_io__finalize_spec");
      begin
         if E188 = 0 then
            F29;
         end if;
      end;
      E114 := E114 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__strings__unbounded__finalize_spec");
      begin
         if E114 = 0 then
            F30;
         end if;
      end;
      E120 := E120 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "system__storage_pools__subpools__finalize_spec");
      begin
         if E120 = 0 then
            F31;
         end if;
      end;
      E122 := E122 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__finalization_masters__finalize_spec");
      begin
         if E122 = 0 then
            F32;
         end if;
      end;
      declare
         procedure F33;
         pragma Import (Ada, F33, "system__file_io__finalize_body");
      begin
         E192 := E192 - 1;
         if E192 = 0 then
            F33;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, True, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, True, False, False, True, True, False, True, 
           True, False, True, True, True, True, False, True, 
           False, False, False, True, False, False, True, False, 
           True, False, True, True, False, False, False, True, 
           False, False, False, True, False, True, False, True, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, True, True, True, False, 
           True, True, False, True, True, True, True, False, 
           False, True, False, False, False, False, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E023 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E042 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E042 := E042 + 1;
      if E064 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E064 := E064 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E097 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E097 := E097 + 1;
      if E100 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E100 := E100 + 1;
      if E047 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E047 := E047 + 1;
      if E027 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E027 := E027 + 1;
      if E075 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      E075 := E075 + 1;
      if E054 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E054 := E054 + 1;
      if E069 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E069 := E069 + 1;
      if E093 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E093 := E093 + 1;
      E019 := E019 + 1;
      if E041 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E041 := E041 + 1;
      E023 := E023 + 1;
      if E104 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E104 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E104 := E104 + 1;
      if E102 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E102 := E102 + 1;
      if E138 = 0 then
         Gnat'Elab_Spec;
      end if;
      E138 := E138 + 1;
      if E233 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E233 := E233 + 1;
      if E193 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E193 := E193 + 1;
      if E127 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E127 := E127 + 1;
      if E125 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E125 := E125 + 1;
      if E192 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E192 := E192 + 1;
      if E129 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E129 := E129 + 1;
      if E122 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E122 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E122 := E122 + 1;
      if E120 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E120 := E120 + 1;
      if E114 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E114 := E114 + 1;
      if E249 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E249 := E249 + 1;
      if E243 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E243 := E243 + 1;
      if E207 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E207 := E207 + 1;
      if E143 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E143 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E143 := E143 + 1;
      if E149 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E149 := E149 + 1;
      if E188 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E188 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E188 := E188 + 1;
      if E140 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E140 := E140 + 1;
      if E186 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E186 := E186 + 1;
      if E330 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E330 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E330 := E330 + 1;
      if E314 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E314 := E314 + 1;
      if E304 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E304 := E304 + 1;
      if E299 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E299 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E299 := E299 + 1;
      if E176 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E176 := E176 + 1;
      if E202 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E202 := E202 + 1;
      if E174 = 0 then
         System.Pool_Size'Elab_Spec;
      end if;
      E174 := E174 + 1;
      if E341 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E341 := E341 + 1;
      if E334 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E334 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E334 := E334 + 1;
      if E265 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E265 := E265 + 1;
      if E275 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E275 := E275 + 1;
      if E277 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E277 := E277 + 1;
      if E273 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E273 := E273 + 1;
      E165 := E165 + 1;
      if E297 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E297 := E297 + 1;
      E231 := E231 + 1;
      E169 := E169 + 1;
      if E167 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E167 := E167 + 1;
      E289 := E289 + 1;
      if E287 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E287 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E287 := E287 + 1;
      if E306 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E308 := E308 + 1;
      E306 := E306 + 1;
      if E310 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E310 := E310 + 1;
      if E312 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E312 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E312 := E312 + 1;
      E182 := E182 + 1;
      if E178 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E178 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E178 := E178 + 1;
      if E162 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E162 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E162 := E162 + 1;
      if E325 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E325 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E325 := E325 + 1;
      if E343 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E343 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E343 := E343 + 1;
      if E332 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E332 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E332 := E332 + 1;
      if E346 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E346 := E346 + 1;
      if E350 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E350 := E350 + 1;
      if E328 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E345 := E345 + 1;
      E348 := E348 + 1;
      if E328 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E328 := E328 + 1;
      if E319 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E319 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E319 := E319 + 1;
      if E291 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E291 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E291 := E291 + 1;
      if E227 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E281 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E281 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E281 := E281 + 1;
      if E227 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E227 := E227 + 1;
      if E235 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E235 := E235 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-gpl-2018-src/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-gpl-2018-src/stage/usr/lib64/gnatcoll_sql/
   --   -L/usr/lib64/gpr/relocatable/gpr/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib64/gnatcoll/
   --   -L/usr/lib/gcc/ppc64le-redhat-linux/10/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lrt
   --   -lpthread
   --   -ldl
--  END Object file/option list   

end gnatcoll_sqlitemain;
